function [Params, Transf, psi,V,VDk] = runSimulation(this,calcObj)
    % --- Obtain simulation parameters --- 
    [Params]    = this.setupParameters();

    % --- Set up spatial grids and transforms --- 
    [Transf]    = this.setupSpace(Params);
    
    % --- Initialize --- 
    mkdir(sprintf(this.SaveDirectory))
    
    [psi,V,VDk] = this.initialize(calcObj,Params,Transf);
    
    Observ.EVec = []; Observ.NormVec = []; Observ.PCVec = []; Observ.tVecPlot = []; Observ.mucVec = [];
    t_idx = 1; %Start at t = 0;
    Observ.res_idx = 1;

    % --- Job Settings --- 
    % njob = 6;
    % mkdir(sprintf('./Data/Run_%03i',njob))
    
    % --- Run Simulation --- 
    % [psi] = this.solver(psi,Params,Transf,VDk,V,njob,t_idx,Observ);
end
